GuidesAPI Reference
API Reference

post

Initiate Checkout with Credit Key from a non e-commerce integration. If you utilize the mode param with a value of "link" you can send a hyperlink to the email address or phone number of the billing address user on the Order. You may specify the contact method in the merchant_data param ex: contact_method: 'email'|'phone'. Additionaly, if merchant_data.cc_rep is true, the CSR rep will also be notified. See more specific details of each option in merchant_data in the definition for begin_standalone_checkout_request.

Query Params
string
required

The public key provided to you by Credit Key. This varies between staging and production environments.

string
required

The shared secret provided to you by Credit Key. This varies between staging and production environments.

Body Params
string

A unique identifier for this checkout session

string

A unique identifier for this user

cart_items
array of objects
required
cart_items*
billing_address
object
required
shipping_address
object
charges
object
required
string
required

The URL which Credit Key should redirect to upon successfully completing the checkout flow. %CKKEY% will be replaced by the unique ID for the order, and should be saved to your local database.

string

Optional. The Order Complete URL will be a URL on your system that Credit Key will use for pended applications. Orders can be administratively approved (in the event that the return_url is not applicable) for cleared applications. The order_complete_url should be set up specially for Credit Key to submit orders independently of the borrowers client state.

merchant_data
object

Optional. Custom data to associate with this order. Or optional ways to control notifications of Order changes.

string
required

The checkout mode; redirect for full browser checkout flow or link to send an email or SMS text to begin the checkout flow.

Responses

401

Unauthorized. The public_key and/or shared_secret given are invalid.

Language
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json